[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# PosSet

Return the position in a string of any character out of a set of characters

## Declaration

Source position: strutils.pp line 245

`function PosSet(`
`const c: TSysCharSet;`
`const s: ansistring`
`):SizeInt; function PosSet(`
`const c: string;`
`const s: ansistring`
`):SizeInt;`

## Description

PosSet returns the position in s of the first found character which is in the set c. If none of the characters in c is found in s, then 0 is returned.

## Errors

None.

## See also

PosEx |  | Search for the occurrence of a character in a string, starting at a certain position.
PosSetEx |  | Return the position in a string of any character out of a set of characters, starting at a certain position
#rtl.system.pos |  | Search for substring in a string.
RPosEx |  | Find last occurrence substring or character in a string, starting at a certain position